---@meta

---@class Font : FontInstance
Font = {
	--- Gets the font object's font path, height, and flags.
	--- @return string path The font path.
	--- @return number height The font height.
	--- @return string flags The font flags.
	--- @example
	--- local path, height, flags = myFont:GetFont()
	GetFont = function(self) end,

	--- Sets the font object's font path, height, and flags.
	--- @param path string The font path.
	--- @param height number The font height.
	--- @param flags string? Optional. The font flags.
	--- @example
	--- myFont:SetFont("Fonts\\FRIZQT__.TTF", 12, "OUTLINE")
	SetFont = function(self, path, height, flags) end,
}
